## redfang 2.5

=== Makefile ===
OBJ=fang.o
EXE=fang

DEPS=list.h

LIBS=-lbluetooth -lpthread

all: $(EXE)

$(EXE): $(OBJ) $(DEPS)
	cc -o $(EXE) $(OBJ) $(LIBS)

clean:
	rm -f $(EXE) $(OBJ) *~

=== debian/changelog ===
redfang (2.5-1kali4) kali-dev; urgency=medium

  * d/upstream: Add upstream metadata
  * Add missing include since gcc is more strict
  * Update standards version to 4.6.2, no changes needed.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 06 May 2024 19:48:10 -0500

redfang (2.5-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * d/watch: added a fake site to explain about the current status
    of the original upstream homepage.
  * Update standards version to 4.6.1, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 12 Jan 2023 14:15:57 -0600

redfang (2.5-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13
  * Add a patch to fuilx the build with Werror=format-security

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jan 2021 12:20:06 +0100

redfang (2.5-1kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13 et bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jan 2021 11:49:29 +0100

redfang (2.5-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 31 Dec 2012 06:49:03 -0700

=== debian/control ===
Source: redfang
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13), libbluetooth-dev
Standards-Version: 4.6.2
Vcs-Git: https://gitlab.com/kalilinux/packages/redfang.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/redfang

Package: redfang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbluetooth3
Description: Locates non-discoverable bluetooth devices
 fang is a small proof-of-concept application to find non
 discoveredable bluetooth devices. This is done by brute
 forcing the last six (6) bytes of the bluetooth address of
 the device and doing a read_remote_name().

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_installdirs
	install fang $(CURDIR)/debian/redfang/usr/bin/
